commit 806aaf0d422f75f881888c8f1f5219cfcae3e187
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Nov 26 14:58:07 2021

    libstdc++: Fix dg-do directive for tests supposed to be run
    
    libstdc++-v3/ChangeLog:
    
            * testsuite/23_containers/unordered_map/modifiers/move_assign.cc:
            Change dg-do compile to run.
            * testsuite/27_io/basic_istream/extractors_character/wchar_t/lwg2499.cc:
            Likewise.
    
    (cherry picked from commit 87cf051b4403d1043d9db113cb851011cacae911)

diff --git a/libstdc++-v3/testsuite/23_containers/unordered_map/modifiers/move_assign.cc b/libstdc++-v3/testsuite/23_containers/unordered_map/modifiers/move_assign.cc
index 2af50d8985e..cb0db867f62 100644
--- a/libstdc++-v3/testsuite/23_containers/unordered_map/modifiers/move_assign.cc
+++ b/libstdc++-v3/testsuite/23_containers/unordered_map/modifiers/move_assign.cc
@@ -1,4 +1,4 @@
-// { dg-do compile { target c++11 } }
+// { dg-do run { target c++11 } }
 
 // Copyright (C) 2020-2021 Free Software Foundation, Inc.
 //
diff --git a/libstdc++-v3/testsuite/27_io/basic_istream/extractors_character/wchar_t/lwg2499.cc b/libstdc++-v3/testsuite/27_io/basic_istream/extractors_character/wchar_t/lwg2499.cc
index 6aec0e94482..a3da636317f 100644
--- a/libstdc++-v3/testsuite/27_io/basic_istream/extractors_character/wchar_t/lwg2499.cc
+++ b/libstdc++-v3/testsuite/27_io/basic_istream/extractors_character/wchar_t/lwg2499.cc
@@ -16,7 +16,7 @@
 // <http://www.gnu.org/licenses/>.
 
 // { dg-options "-std=gnu++2a" }
-// { dg-do compile { target c++2a } }
+// { dg-do run { target c++2a } }
 
 // LWG 2499
 // operator>>(basic_istream&, CharT*) makes it hard to avoid buffer overflows

